Bug 1860922 - CAO should set its operator's object status.managingOAuthAPIServer to false
Summary: CAO should set its operator's object status.managingOAuthAPIServer to false
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: apiserver-auth
Version: 4.5
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.5.z
Assignee: Standa Laznicka
QA Contact: pmali
URL:
Whiteboard:
Depends On: 1861339 1868376 1873345
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-27 13:03 UTC by Standa Laznicka
Modified: 2020-09-15 12:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-14 14:54:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-authentication-operator pull 307 None closed Bug 1860922: add a controller to unmanage the OAuth API 2020-09-15 13:32:20 UTC
Github openshift cluster-authentication-operator pull 317 None closed Bug 1860922: adds OAuthAPIServer pruner controller 2020-09-15 13:32:20 UTC
Red Hat Product Errata RHBA-2020:3618 None None None 2020-09-14 14:55:00 UTC

Description Standa Laznicka 2020-07-27 13:03:46 UTC
In case of a downgrade from 4.6, CAO needs to set its operator's status.managingOAuthAPIServer field to false to properly manage the OAuth API handover from the OAuth API server back to the OpenShift API server.

Comment 13 errata-xmlrpc 2020-09-14 14:54:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.9 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3618


Note You need to log in before you can comment on or make changes to this bug.